Bug 2012767 - gucharmap 14 built against wrong unicode data
Summary: gucharmap 14 built against wrong unicode data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gucharmap
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Ploumistos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-11 09:06 UTC by Christian Persch
Modified: 2021-10-27 03:04 UTC (History)
9 users (show)

Fixed In Version: gucharmap-14.0.0-2.fc34 gucharmap-14.0.0-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-19 15:59:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Persch 2021-10-11 09:06:25 UTC
Description of problem:
The gucharmap 14.0.0 package was built against the unicode 13 data. This is obviously wrong, and not supported upstream. (Gucharmap N.x.y required exactly unicode N data.)


Version-Release number of selected component (if applicable):
14.0.0-1.fc33


Steps to Reproduce:
1. Start gucharmap
2. Look up a character that's new in unicode 14, e.g. U+2E5D

Actual results:
Character shows up as unassigned (as it was in unicode 13).


Expected results:
Character info is shown.

Comment 1 Alexander Ploumistos 2021-10-11 10:19:37 UTC
Hello Christian,

unicode-ucd on which gucharmap depends has not been updated to version 14 in F33 and in all likelihood, it probably won't be, as F33 will be EOL'd in a month or so. If you can get the maintainer of unicode-ucd to bump the release, I can rebuild it against the proper version.

Comment 2 Christian Persch 2021-10-11 10:44:46 UTC
I think the same affects all the other builds too, e.g. for F36 where the build logs [https://kojipkgs.fedoraproject.org//packages/gucharmap/14.0.0/1.fc36/data/logs/x86_64/root.log] indicate that unicode-ucd 13.0.0-4 was installed for the build.

I've filed https://gitlab.gnome.org/GNOME/gucharmap/-/issues/486 upstream to make the build hard fail when building against the incorrect unicode data version.

Comment 3 Alexander Ploumistos 2021-10-11 19:50:22 UTC
I've asked the maintainer of unicode-ucd if it is possible to update the package in stable fedora versions - it was updated in F35 and F36 13 days after my last build of gucharmap.
I'll report here once I get a reply.

Comment 4 Christian Persch 2021-10-11 20:09:45 UTC
An alternative would be to downgrade gucharmap to 13.0.x there if unicode-ucd 14 can't come to them.

Comment 5 Alexander Ploumistos 2021-10-11 21:14:43 UTC
(In reply to Christian Persch from comment #4)
> An alternative would be to downgrade gucharmap to 13.0.x there if
> unicode-ucd 14 can't come to them.

I think that for the downgrade to work I will need to use the Epoch tag, and I would really like to avoid that, if at all possible.

Comment 6 Alexander Ploumistos 2021-10-16 20:32:40 UTC
While waiting for a reply from Jens, I have fired off a rebuild of gucharmap in F35 and F36, so that it picks up the correct version of unicode-ucd.
I've also added
BuildRequires:  unicode-ucd >= %{version}
to its spec file so that the build fails if the versions of gucharmap and unicode-ucd (and unicode-ucd-unihan) don't match.

I'll submit the updates once the builds are done.

Comment 7 Jens Petersen 2021-10-18 03:19:11 UTC
Sorry for the trouble here...

I guess it should be okay to backport unicode-ucd 14 to F34 and F33.
I usually do that in the past, but had left it to be done gradually.

Comment 8 Alexander Ploumistos 2021-10-18 03:59:09 UTC
(In reply to Jens Petersen from comment #7)
> Sorry for the trouble here...
> 
> I guess it should be okay to backport unicode-ucd 14 to F34 and F33.
> I usually do that in the past, but had left it to be done gradually.

No worries.
If you build unicode-ucd in side tags, will I be able to use the same tags to build gucharmap? Do we need commit rights in each other's repos in order to submit a single update for each branch?

Comment 9 Jens Petersen 2021-10-18 11:04:45 UTC
Ah I already built for F34 - I can do override tags if you want to build asap.

I think gucharmap doesn't have a runtime dependency on unicode-ucd, right?

Comment 10 Alexander Ploumistos 2021-10-18 11:30:43 UTC
(In reply to Jens Petersen from comment #9)
> Ah I already built for F34 - I can do override tags if you want to build
> asap.

Could I use the same buildroot override?


> I think gucharmap doesn't have a runtime dependency on unicode-ucd, right?

Right, it's a build time dependency.

Comment 11 Jens Petersen 2021-10-18 15:54:13 UTC
You should be able to build for f33 and f34 now: the unicode-ucd builds should both be in the buildroots now.

Comment 12 Fedora Update System 2021-10-18 18:20:18 UTC
FEDORA-2021-bf7ff109f4 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-bf7ff109f4

Comment 13 Alexander Ploumistos 2021-10-18 18:22:33 UTC
Thank you Jens, I've just submitted updates for F33 and F34.

Comment 14 Fedora Update System 2021-10-19 00:48:42 UTC
FEDORA-2021-bf7ff109f4 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-bf7ff109f4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bf7ff109f4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-10-19 01:29:14 UTC
FEDORA-2021-e4df928274 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-e4df928274`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e4df928274

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-10-19 15:59:29 UTC
FEDORA-2021-bf7ff109f4 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-10-27 03:04:22 UTC
FEDORA-2021-e4df928274 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.